SynthCheckBoxMenuItemUI (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.synth, class: SynthCheckBoxMenuItemUI
Keywords: javax.swing.plaf.synth.SynthCheckBoxMenuItemUI class

# Class SynthCheckBoxMenuItemUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ButtonUI
javax.swing.plaf.MenuItemUI
javax.swing.plaf.basic.BasicMenuItemUI
javax.swing.plaf.synth.SynthMenuItemUI
javax.swing.plaf.synth.SynthCheckBoxMenuItemUI

All Implemented Interfaces:
  `PropertyChangeListener, EventListener, SynthConstants, SynthUI`

public class SynthCheckBoxMenuItemUI extends SynthMenuItemUI
Provides the Synth L&F UI delegate for `JCheckBoxMenuItem`.

Since:
  1.7

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class BasicMenuItemUI

  `BasicMenuItemUI.MouseInputHandler`
  Modifier and Type
  Class
  Description
  `protected class`
  `BasicMenuItemUI.MouseInputHandler`
  Deprecated, for removal: This API element is subject to removal in a future version.

- ## Field Summary

  ### Fields declared in class BasicMenuItemUI

  `acceleratorDelimiter, acceleratorFont, acceleratorForeground, acceleratorSelectionForeground, arrowIcon, checkIcon, defaultTextIconGap, disabledForeground, menuDragMouseListener, menuItem, menuKeyListener, mouseInputListener, oldBorderPainted, propertyChangeListener, selectionBackground, selectionForeground`
  Modifier and Type
  Field
  Description
  `protected String`
  `acceleratorDelimiter`
  Accelerator delimiter string, such as `'+'` in `'Ctrl+C'`.
  `protected Font`
  `acceleratorFont`
  The accelerator font.
  `protected Color`
  `acceleratorForeground`
  The color of the accelerator foreground.
  `protected Color`
  `acceleratorSelectionForeground`
  The color of the accelerator selection.
  `protected Icon`
  `arrowIcon`
  The arrow icon.
  `protected Icon`
  `checkIcon`
  The check icon.
  `protected int`
  `defaultTextIconGap`
  The gap between the text and the icon.
  `protected Color`
  `disabledForeground`
  The color of the disabled foreground.
  `protected MenuDragMouseListener`
  `menuDragMouseListener`
  The instance of `MenuDragMouseListener`.
  `protected JMenuItem`
  `menuItem`
  The instance of `JMenuItem`.
  `protected MenuKeyListener`
  `menuKeyListener`
  The instance of `MenuKeyListener`.
  `protected MouseInputListener`
  `mouseInputListener`
  The instance of `MouseInputListener`.
  `protected boolean`
  `oldBorderPainted`
  The value represents if the old border is painted.
  `protected PropertyChangeListener`
  `propertyChangeListener`
  `PropertyChangeListener` returned from `createPropertyChangeListener`.
  `protected Color`
  `selectionBackground`
  The color of the selection background.
  `protected Color`
  `selectionForeground`
  The color of the selection foreground.

  ### Fields declared in interface SynthConstants

  `DEFAULT, DISABLED, ENABLED, FOCUSED, MOUSE_OVER, PRESSED, SELECTED`
  Modifier and Type
  Field
  Description
  `static final int`
  `DEFAULT`
  Indicates the region is the default.
  `static final int`
  `DISABLED`
  Primary state indicating the region is not enabled.
  `static final int`
  `ENABLED`
  Primary state indicating the component is enabled.
  `static final int`
  `FOCUSED`
  Indicates the region has focus.
  `static final int`
  `MOUSE_OVER`
  Primary state indicating the mouse is over the region.
  `static final int`
  `PRESSED`
  Primary state indicating the region is in a pressed state.
  `static final int`
  `SELECTED`
  Indicates the region is selected.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SynthCheckBoxMenuItemUI()`
  Constructs a `SynthCheckBoxMenuItemUI`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ComponentUI`
  `createUI(JComponent c)`
  Creates a new UI object for the given component.

  ### Methods declared in class SynthMenuItemUI

  `getContext, paint, paint, paintBorder, propertyChange, update`
  Modifier and Type
  Method
  Description
  `SynthContext`
  `getContext(JComponent c)`
  Returns the Context for the specified component.
  `void`
  `paint(Graphics g, JComponent c)`
  Paints the specified component according to the Look and Feel.
  `protected void`
  `paint(SynthContext context, Graphics g)`
  Paints the specified component.
  `void`
  `paintBorder(SynthContext context, Graphics g, int x, int y, int w, int h)`
  Paints the border.
  `void`
  `propertyChange(PropertyChangeEvent e)`
  This method gets called when a bound property is changed.
  `void`
  `update(Graphics g, JComponent c)`
  Notifies this UI delegate to repaint the specified component.

  ### Methods declared in class BasicMenuItemUI

  `createMenuDragMouseListener, createMenuKeyListener, createMouseInputListener, createPropertyChangeListener, doClick, getPath, getPreferredMenuItemSize, getPropertyPrefix, installComponents, installDefaults, installKeyboardActions, installListeners, paintBackground, paintMenuItem, paintText, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners`
  Modifier and Type
  Method
  Description
  `protected MenuDragMouseListener`
  `createMenuDragMouseListener(JComponent c)`
  Returns an instance of `MenuDragMouseListener`.
  `protected MenuKeyListener`
  `createMenuKeyListener(JComponent c)`
  Returns an instance of `MenuKeyListener`.
  `protected MouseInputListener`
  `createMouseInputListener(JComponent c)`
  Returns an instance of `MouseInputListener`.
  `protected PropertyChangeListener`
  `createPropertyChangeListener(JComponent c)`
  Creates a `PropertyChangeListener` which will be added to the menu item.
  `protected void`
  `doClick(MenuSelectionManager msm)`
  Call this method when a menu item is to be activated.
  `MenuElement[]`
  `getPath()`
  Returns a menu element path.
  `protected Dimension`
  `getPreferredMenuItemSize(JComponent c, Icon checkIcon, Icon arrowIcon, int defaultTextIconGap)`
  Returns the preferred size of a menu item.
  `protected String`
  `getPropertyPrefix()`
  Returns a property prefix.
  `protected void`
  `installComponents(JMenuItem menuItem)`
  Registers the subcomponents of the menu.
  `protected void`
  `installDefaults()`
  Installs default properties.
  `protected void`
  `installKeyboardActions()`
  Registers keyboard action.
  `protected void`
  `installListeners()`
  Registers listeners.
  `protected void`
  `paintBackground(Graphics g, JMenuItem menuItem, Color bgColor)`
  Draws the background of the menu item.
  `protected void`
  `paintMenuItem(Graphics g, JComponent c, Icon checkIcon, Icon arrowIcon, Color background, Color foreground, int defaultTextIconGap)`
  Paints a menu item.
  `protected void`
  `paintText(Graphics g, JMenuItem menuItem, Rectangle textRect, String text)`
  Renders the text of the current menu item.
  `protected void`
  `uninstallComponents(JMenuItem menuItem)`
  Unregisters components.
  `protected void`
  `uninstallDefaults()`
  Uninstalls default properties.
  `protected void`
  `uninstallKeyboardActions()`
  Unregisters keyboard actions.
  `protected void`
  `uninstallListeners()`
  Unregisters listeners.

  ### Methods declared in class ComponentUI

  `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, uninstallUI`
  Modifier and Type
  Method
  Description
  `boolean`
  `contains(JComponent c, int x, int y)`
  Returns `true` if the specified x,y location is contained within the look and feel's defined shape of the specified component.
  `Accessible`
  `getAccessibleChild(JComponent c, int i)`
  Returns the `i`th `Accessible` child of the object.
  `int`
  `getAccessibleChildrenCount(JComponent c)`
  Returns the number of accessible children in the object.
  `int`
  `getBaseline(JComponent c, int width, int height)`
  Returns the baseline.
  `Component.BaselineResizeBehavior`
  `getBaselineResizeBehavior(JComponent c)`
  Returns an enum indicating how the baseline of the component changes as the size changes.
  `Dimension`
  `getMaximumSize(JComponent c)`
  Returns the specified component's maximum size appropriate for the look and feel.
  `Dimension`
  `getMinimumSize(JComponent c)`
  Returns the specified component's minimum size appropriate for the look and feel.
  `Dimension`
  `getPreferredSize(JComponent c)`
  Returns the specified component's preferred size appropriate for the look and feel.
  `void`
  `installUI(JComponent c)`
  Configures the specified component appropriately for the look and feel.
  `void`
  `uninstallUI(JComponent c)`
  Reverses configuration which was done on the specified component during `installUI`.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### SynthCheckBoxMenuItemUI

    public SynthCheckBoxMenuItemUI()
    Constructs a `SynthCheckBoxMenuItemUI`.

- ## Method Details

  - ### createUI

    public static ComponentUI createUI(JComponent c)
    Creates a new UI object for the given component.
    Parameters:
      `c` - component to create UI object for
    Returns:
      the UI object